import { AfterViewInit, EventEmitter, QueryList } from '@angular/core';
import { WalkthroughTextI } from './walkthrough-text';
import { WalkthroughEvent } from './walkthrough-tools';
import { WalkthroughComponent } from './walkthrough.component';
export declare class WalkthroughFlowComponent implements AfterViewInit {
    walkthroughComponents: QueryList<WalkthroughComponent>;
    get id(): string;
    set id(value: string);
    closed: EventEmitter<boolean>;
    finished: EventEmitter<WalkthroughEvent>;
    contentStyle: 'none' | 'draken';
    arrowColor: string;
    marginZone: string | null;
    showArrow: string | boolean;
    rootElement: string;
    closeButton: string | boolean;
    closeAnywhere: string | boolean;
    finishButton: string | boolean;
    focusBackdrop: string | boolean;
    focusGlow: string | boolean;
    radius: string;
    notScrollOnResize: string | boolean;
    texts: WalkthroughTextI;
    private _id;
    private _uid;
    constructor();
    ngAfterViewInit(): void;
    init(): void;
    start(): void;
}
